<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::ConvexBody Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a0858a878ce677241ef5632b04a7ffea4">_destroyPool</a>()</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a59fb24ee9a509ade6490ad1d9aac16d7">_initialisePool</a>()</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#ae7eb606d204e881ac3620f49ef252e7c">allocatePolygon</a>()</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a712d479b37a37cf294f249b942546293">allocateSpace</a>(size_t numPolygons, size_t numVertices)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#af5fb91ac168eec8056adb7b2677523e1">clip</a>(const Frustum &amp;frustum)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#ad414f1e05c49050f464c164b9da8e04d">clip</a>(const AxisAlignedBox &amp;aab)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a132ccd23a0b43b15077605d813051c4d">clip</a>(const ConvexBody &amp;body)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#ac8a3f100f1b91cadf03ec2b9d9d6f684">clip</a>(const Plane &amp;pl, bool keepNegative=true)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a55e376da89733093d9061f2b5acebfb2">ConvexBody</a>()</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#ae9792f9784f57a75d89a8aecb9ee2f58">ConvexBody</a>(const ConvexBody &amp;cpy)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a9abd096ec64a6eedbd942a4f15ae4c34">define</a>(const Frustum &amp;frustum)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#af344427771b8ee0bde94a04e68cf4b77">define</a>(const AxisAlignedBox &amp;aab)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a96f5b0fff03173772d7e20e5ec74e237">deletePolygon</a>(size_t poly)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a803fa40122153f8772383b7d79ec7e6a">deleteVertex</a>(size_t poly, size_t vertex)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#ab281318edcb6f9438693caecf718616c">extend</a>(const Vector3 &amp;pt)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#ad9638a611986e5d9fbafacd777bb7bd3">findAndEraseEdgePair</a>(const Vector3 &amp;vec, Polygon::EdgeMap &amp;intersectionEdges, Vector3 &amp;vNext) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a168b8dd909571bb3f45480d21e709fd4">freePolygon</a>(Polygon *poly)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a83072f016eefa58aeb053131faf48ec5">getAABB</a>(void) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#abc9d10d37f23d0a0b82f1773bac04e1e">getNormal</a>(size_t poly)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a6a3e37ac14a7f02de3cf214a3c6eac11">getPolygon</a>(size_t poly) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#ab31e6599524de129c8186db52f4d3bfc">getPolygonCount</a>(void) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#afb0f28d2bc33d000f2b924b3ff287984">getSingleEdges</a>() const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#ae941be51c7c3b852c67e51a15c0bb757">getVertex</a>(size_t poly, size_t vertex) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#ab62abaefae0a1d6352a05f4945bee81f">getVertexCount</a>(size_t poly) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a6d364974ae7837fb6d733b973a8c2e23">hasClosedHull</a>(void) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a975d3ab5e37339fac99d712a32134b71">insertPolygon</a>(Polygon *pdata, size_t poly)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a6d15ea1ce9f9249484b178bb209b2b95">insertPolygon</a>(Polygon *pdata)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a9d5648f1dd2ab1dd9c85b1581029983e">insertVertex</a>(size_t poly, const Vector3 &amp;vdata, size_t vertex)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a1e4e72b739b38002b714bcbb63813a7d">insertVertex</a>(size_t poly, const Vector3 &amp;vdata)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a6244600b134c90e33fa32e6d0f1e008b">logInfo</a>() const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a4d33db4b9003a76a299649cede0c5557">mergePolygons</a>(void)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#ad139be0d8377d805b0709966974a5cda">moveDataFromBody</a>(ConvexBody &amp;body)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a4a9287e8e6a68839a451150959b1cd95">mPolygons</a></td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a8f45e2762a61cfa1ce2cf11fbc8cb6a9">msFreePolygons</a></td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a54167fd6c91338d1d107fa866c329a3b">operator!=</a>(const ConvexBody &amp;rhs) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a1082989fe2c9773d3e2385dec3f7f694">operator&lt;&lt;</a>(std::ostream &amp;strm, const ConvexBody &amp;body)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#ad671d14101224807f28de10abf66f8cd">operator==</a>(const ConvexBody &amp;rhs) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a7064b26a96cd25b8aeb5ba40640ef7b8">PolygonList</a> typedef</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a153a0fac3f0c9687a969a2565ccd320e">reset</a>(void)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a28a76d44fefb5741e2c772533f7b1ed0">setPolygon</a>(Polygon *pdata, size_t poly)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a115357323021c86327c0aa8a26b2404f">setVertex</a>(size_t poly, const Vector3 &amp;vdata, size_t vertex)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a4bd6ead8c709b50e3ae96e6c518b50cc">storeEdgesOfPolygon</a>(size_t poly, Polygon::EdgeMap *edgeMap) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#abd7e84750f61aed920fb4e847ea29ac9">unlinkPolygon</a>(size_t poly)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#a6f643f10031458c33cc9b51dc4a8f893">~ConvexBody</a>()</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
